from django.db import models
from django.contrib.auth.models import User

# Create your models here.
class Anime(models.Model):
    anime_id = models.IntegerField(primary_key=True)
    title = models.CharField(max_length=255)
    title_english = models.CharField(max_length=255)
    title_synonyms = models.TextField(blank=True, null=True)
    image_url = models.CharField(max_length=200)
    series_type = models.CharField(max_length=255)
    source = models.CharField(max_length=255)
    episodes = models.CharField(max_length=16)
    status = models.CharField(max_length=255)
    airing = models.BooleanField()
    aired_string = models.CharField(max_length=255)
    start_date = models.DateField(auto_now=False, auto_now_add=False)
    end_date = models.DateField(auto_now=False, auto_now_add=False)
    duration = models.CharField(max_length=255, blank=True, null=True)
    rating = models.CharField(max_length=255, blank=True, null=True)
    score = models.CharField(max_length=255, blank=True, null=True)
    scored_by = models.CharField(max_length=16)
    rank = models.CharField(max_length=16)
    popularity = models.CharField(max_length=16)
    members = models.CharField(max_length=16)
    favorites = models.CharField(max_length=16)
    background = models.TextField(blank=True, null=True)
    premiered = models.CharField(max_length=255, blank=True, null=True)
    broadcast = models.CharField(max_length=255, blank=True, null=True)
    related = models.TextField(blank=True, null=True)
    producer = models.TextField(blank=True, null=True)
    licensor = models.TextField(blank=True, null=True)
    studio = models.CharField(max_length=255, blank=True, null=True)
    genre = models.CharField(max_length=255, blank=True, null=True)
    opening_theme = models.TextField(blank=True, null=True)
    ending_theme = models.TextField(blank=True, null=True)

class Animelist(models.Model):
    anime = models.ForeignKey(Anime, related_name='anime_list', on_delete=models.CASCADE)
    user = models.ForeignKey(User, related_name='anime_list', on_delete=models.CASCADE)
    status = models.CharField(max_length=15, default='watching', blank=True, null=True, editable=True)
